Name:           xmltool
Version:        3.3
Release:        %mkrel 26
Group:          Development/Java
Summary:        Tool to manage XML documents through a Fluent Interface

License:        ASL 2.0
URL:            https://code.google.com/p/xmltool
### upstream only provides binaries or source without build scripts
# tar creation instructions
# svn export http://xmltool.googlecode.com/svn/tags/xmltool-3.3 xmltool
# tar cfJ xmltool-3.3.tar.xz xmltool
Source0:        %{name}-%{version}.tar.xz
Patch0:         fix-deprecated-assembly-goal.patch
BuildArch:      noarch

BuildRequires:  javapackages-local
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven.surefire:surefire-testng)
BuildRequires:  mvn(org.apache.apache.resources:apache-resource-bundles:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  xmvn

%description
XMLTool is a very simple Java library to be able to do all sorts of common 
operations with an XML document. Java developers often end up writing the same 
code for processing XML, transforming, etc. This easy to use class puts it all 
together, using the Fluent Interface pattern to facilitate XML manipulations. 

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%patch -P 0 -p0

# Fix end-of-line encoding
sed -i 's/\r//' LICENSE.txt

%mvn_file : %{name}

# Remove dep on maven-wagon and maven-license plugins
%pom_xpath_remove "pom:build/pom:extensions"
%pom_remove_plugin com.google.code.maven-license-plugin:maven-license-plugin

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

%build
# Disable tests because they require an internet connection to run!
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.3-26.mga10
+ Revision: 2223864
- Mageia 10 Mass Rebuild

* Mon May 27 2024 ns80 <ns80> 3.3-25.mga10
+ Revision: 2067993
- rebuild for java 21

* Sun Mar 27 2022 umeabot <umeabot> 3.3-24.mga9
+ Revision: 1829255
- Mageia 9 Mass Rebuild

* Tue Oct 27 2020 tv <tv> 3.3-23.mga8
+ Revision: 1639815
- Fix building with java 11

* Fri Feb 14 2020 umeabot <umeabot> 3.3-22.mga8
+ Revision: 1522311
- Mageia 8 Mass Rebuild

* Wed Jan 23 2019 daviddavid <daviddavid> 3.3-21.mga7
+ Revision: 1360358
- apply fix-deprecated-assembly-goal patch
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sat Sep 02 2017 daviddavid <daviddavid> 3.3-19.mga7
+ Revision: 1150854
- add BR mvn(org.apache.maven.plugins:maven-assembly-plugin) to fix build
- regenerate build requires

* Fri May 19 2017 neoclust <neoclust> 3.3-18.mga6
+ Revision: 1103377
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.3-16.mga6
+ Revision: 978228
- First rebuild of the java stack
- sync package xmltool with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3-10.mga5
+ Revision: 741159
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Dec 13 2013 dmorgan <dmorgan> 3.3-8.mga4
+ Revision: 556560
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.3-6.mga3
+ Revision: 387215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 3.3-5.mga3
+ Revision: 352459
- Build with maven 3

* Thu Apr 28 2011 dmorgan <dmorgan> 3.3-3.mga1
+ Revision: 93158
- Rebuild after bootstrapping
- imported package xmltool


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 08 2010 Guido Grazioli <guido.grazioli@gmail.com> - 3.3-1
- Initial packaging
